### Callable

- internal(value: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:2

  #### Parameters

  - ##### value: any

  - ##### Optional message: string | Error

  #### Returns void

## Index

### Classes

- AssertionError

### Variables

- strict

### Functions

- deepEqual
- deepStrictEqual
- doesNotReject
- doesNotThrow
- equal
- fail
- ifError
- notDeepEqual
- notDeepStrictEqual
- notEqual
- notStrictEqual
- ok
- rejects
- strictEqual
- throws

## Variables

### Const strict

strict: internal

- Defined in node_modules/@types/node/assert.d.ts:48

## Functions

### deepEqual

- deepEqual(actual: any, expected: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:28
  deprecated

    since v9.9.0 - use deepStrictEqual() instead.

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  #### Returns void

### deepStrictEqual

- deepStrictEqual(actual: any, expected: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:33

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  #### Returns void

### doesNotReject

- doesNotReject(block: function | Promise<any>, message?: string | Error): Promise<void>
- doesNotReject(block: function | Promise<any>, error: RegExp | Function, message?: string | Error): Promise<void>

- - Defined in node_modules/@types/node/assert.d.ts:45

  #### Parameters

  - ##### block: function | Promise<any>

  - ##### Optional message: string | Error

  #### Returns Promise<void>

- - Defined in node_modules/@types/node/assert.d.ts:46

  #### Parameters

  - ##### block: function | Promise<any>

  - ##### error: RegExp | Function

  - ##### Optional message: string | Error

  #### Returns Promise<void>

### doesNotThrow

- doesNotThrow(block: function, message?: string | Error): void
- doesNotThrow(block: function, error: RegExp | Function, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:38

  #### Parameters

  - ##### block: function

    - - (): any

      - #### Returns any

  - ##### Optional message: string | Error

  #### Returns void

- - Defined in node_modules/@types/node/assert.d.ts:39

  #### Parameters

  - ##### block: function

    - - (): any

      - #### Returns any

  - ##### error: RegExp | Function

  - ##### Optional message: string | Error

  #### Returns void

### equal

- equal(actual: any, expected: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:24
  deprecated

    since v9.9.0 - use strictEqual() instead.

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  #### Returns void

### fail

- fail(message?: string | Error): never
- fail(actual: any, expected: any, message?: string | Error, operator?: undefined | string, stackStartFn?: Function): never

- - Defined in node_modules/@types/node/assert.d.ts:19

  #### Parameters

  - ##### Optional message: string | Error

  #### Returns never

- - Defined in node_modules/@types/node/assert.d.ts:21
  deprecated

    since v10.0.0 - use fail([message]) or other assert functions instead.

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  - ##### Optional operator: undefined | string

  - ##### Optional stackStartFn: Function

  #### Returns never

### ifError

- ifError(value: any): void

- - Defined in node_modules/@types/node/assert.d.ts:41

  #### Parameters

  - ##### value: any

  #### Returns void

### notDeepEqual

- notDeepEqual(actual: any, expected: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:30
  deprecated

    since v9.9.0 - use notDeepStrictEqual() instead.

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  #### Returns void

### notDeepStrictEqual

- notDeepStrictEqual(actual: any, expected: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:34

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  #### Returns void

### notEqual

- notEqual(actual: any, expected: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:26
  deprecated

    since v9.9.0 - use notStrictEqual() instead.

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  #### Returns void

### notStrictEqual

- notStrictEqual(actual: any, expected: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:32

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  #### Returns void

### ok

- ok(value: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:22

  #### Parameters

  - ##### value: any

  - ##### Optional message: string | Error

  #### Returns void

### rejects

- rejects(block: function | Promise<any>, message?: string | Error): Promise<void>
- rejects(block: function | Promise<any>, error: RegExp | Function | Object | Error, message?: string | Error): Promise<void>

- - Defined in node_modules/@types/node/assert.d.ts:43

  #### Parameters

  - ##### block: function | Promise<any>

  - ##### Optional message: string | Error

  #### Returns Promise<void>

- - Defined in node_modules/@types/node/assert.d.ts:44

  #### Parameters

  - ##### block: function | Promise<any>

  - ##### error: RegExp | Function | Object | Error

  - ##### Optional message: string | Error

  #### Returns Promise<void>

### strictEqual

- strictEqual(actual: any, expected: any, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:31

  #### Parameters

  - ##### actual: any

  - ##### expected: any

  - ##### Optional message: string | Error

  #### Returns void

### throws

- throws(block: function, message?: string | Error): void
- throws(block: function, error: RegExp | Function | Object | Error, message?: string | Error): void

- - Defined in node_modules/@types/node/assert.d.ts:36

  #### Parameters

  - ##### block: function

    - - (): any

      - #### Returns any

  - ##### Optional message: string | Error

  #### Returns void

- - Defined in node_modules/@types/node/assert.d.ts:37

  #### Parameters

  - ##### block: function

    - - (): any

      - #### Returns any

  - ##### error: RegExp | Function | Object | Error

  - ##### Optional message: string | Error

  #### Returns void

Generated using TypeDoc